## Version Information Version Information — Library version checks |

## Functions

guint | vte_get_major_version ()
guint | vte_get_minor_version ()
guint | vte_get_micro_version ()
#define | VTE_CHECK_VERSION()

## Types and Values

#define | VTE_MAJOR_VERSION
#define | VTE_MINOR_VERSION
#define | VTE_MICRO_VERSION

## Description

These macros enable compile time checks of the library version.

## Functions

### vte_get_major_version ()

    guint
    vte_get_major_version (void);

Returns the major version of the VTE library at runtime. Contrast this with `VTE_MAJOR_VERSION` which represents the version of the VTE library that the code was compiled with.

#### Returns

the major version

Since: 0.40

### vte_get_minor_version ()

    guint
    vte_get_minor_version (void);

Returns the minor version of the VTE library at runtime. Contrast this with `VTE_MINOR_VERSION` which represents the version of the VTE library that the code was compiled with.

#### Returns

the minor version

Since: 0.40

### vte_get_micro_version ()

    guint
    vte_get_micro_version (void);

Returns the micro version of the VTE library at runtime. Contrast this with `VTE_MICRO_VERSION` which represents the version of the VTE library that the code was compiled with.

#### Returns

the micro version

Since: 0.40

### VTE_CHECK_VERSION()

    #define             VTE_CHECK_VERSION(major,minor,micro)

Macro to check the library version at compile time. It returns `1` if the version of VTE is greater or equal to the required one, and `0` otherwise.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

## Types and Values

### VTE_MAJOR_VERSION

    #define VTE_MAJOR_VERSION (0)

The major version number of the VTE library (e.g. in version 3.1.4 this is 3).

### VTE_MINOR_VERSION

    #define VTE_MINOR_VERSION (50)

The minor version number of the VTE library (e.g. in version 3.1.4 this is 1).

### VTE_MICRO_VERSION

    #define VTE_MICRO_VERSION (2)

The micro version number of the VTE library (e.g. in version 3.1.4 this is 4).